org.modeshape.jcr.query.xpath

## Class XPathToQueryTranslator.DualPathLikeBuilder

- java.lang.Object
- - org.modeshape.jcr.query.xpath.XPathToQueryTranslator.DualPathLikeBuilder

- All Implemented Interfaces:
    XPathToQueryTranslator.PathLikeBuilder
  Enclosing class:
    XPathToQueryTranslator

      protected static class XPathToQueryTranslator.DualPathLikeBuilder
      extends Object
      implements XPathToQueryTranslator.PathLikeBuilder

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XPathToQueryTranslator.DualPathLikeBuilder(XPathToQueryTranslator.PathLikeBuilder builder1, XPathToQueryTranslator.PathLikeBuilder builder2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XPathToQueryTranslator.DualPathLikeBuilder` | `append(char c)`
    `XPathToQueryTranslator.DualPathLikeBuilder` | `append(String string)`
    `XPathToQueryTranslator.DualPathLikeBuilder` | `clone()`
    `String[]` | `getPaths()`
    `boolean` | `isEmpty()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathToQueryTranslator.DualPathLikeBuilder

          protected XPathToQueryTranslator.DualPathLikeBuilder(XPathToQueryTranslator.PathLikeBuilder builder1,
                                                    XPathToQueryTranslator.PathLikeBuilder builder2)

  - ### Method Detail

    - #### append

          public XPathToQueryTranslator.DualPathLikeBuilder append(String string)

      Specified by:
        `append` in interface `XPathToQueryTranslator.PathLikeBuilder`

    - #### append

          public XPathToQueryTranslator.DualPathLikeBuilder append(char c)

      Specified by:
        `append` in interface `XPathToQueryTranslator.PathLikeBuilder`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `XPathToQueryTranslator.PathLikeBuilder`

    - #### clone

          public XPathToQueryTranslator.DualPathLikeBuilder clone()

      Specified by:
        `clone` in interface `XPathToQueryTranslator.PathLikeBuilder`
      Overrides:
        `clone` in class `Object`

    - #### getPaths

          public String[] getPaths()

      Specified by:
        `getPaths` in interface `XPathToQueryTranslator.PathLikeBuilder`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.